toolzerhub API Docs

Get race weekends in the next 7 days (v1)

Returns race weekends with sessions in the 7 days from date, each with its current or next session and session start times. Nothing found returns data: null.

1 credit / requestBilled only on success
GET
/v1/sofascore/stage/scheduled

Authorization

ApiKeyAuth
x-api-key<token>

In: header

Query Parameters

sport?string

motorsport or cycling.

Match^[a-z][a-z-]{1,29}$
Default"motorsport"
date?string

Day in YYYY-MM-DD. Defaults to today (UTC).

Match^\d{4}-\d{2}-\d{2}$
curl -X GET "https://example.com/v1/sofascore/stage/scheduled" \  -H "x-api-key: YOUR_API_KEY"
{  "data": {    "property1": null,    "property2": null  },  "details": {    "reason": "string",    "message": "string"  }}